"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var configuration_1 = require("./configuration");
var SystemError = /** @class */ (function (_super) {
    tslib_1.__extends(SystemError, _super);
    function SystemError(message, innerError) {
        var _this = _super.call(this, message) || this;
        _this.message = message;
        _this.innerError = innerError;
        _this.name = SystemError.NAME;
        _this.message = "[" + _this.name + "]: " + _this.message;
        Object.setPrototypeOf(_this, SystemError.prototype);
        return _this;
    }
    SystemError.NAME = configuration_1.COMMAND_NAME + "SystemError";
    return SystemError;
}(Error));
exports.SystemError = SystemError;
var LintError = /** @class */ (function (_super) {
    tslib_1.__extends(LintError, _super);
    function LintError(message, innerError) {
        var _this = _super.call(this, message) || this;
        _this.message = message;
        _this.innerError = innerError;
        _this.name = LintError.NAME;
        _this.message = "[" + _this.name + "]: \u672A\u901A\u8FC7\u4EE3\u7801\u6821\u9A8C\n\n" + _this.message;
        Object.setPrototypeOf(_this, LintError.prototype);
        return _this;
    }
    LintError.NAME = configuration_1.COMMAND_NAME + "Error";
    return LintError;
}(Error));
exports.LintError = LintError;
